.amaran-wrapper.top{
    top: 73px;
}


.amaran.default.red .default-spinner span {
    background: red;
}

.amaran.default .default-message {
    float: inherit;
}

.amaran.default .default-message span {
    padding: 3px;
    line-height: 20px;
}
.default-message{
    margin-bottom: 11px;
    margin-top: 11px;
}

.input_img {
    height: 300px;
    opacity: 0;
}

.upload_image {
    width: calc(100% - 20px);
    background-color: #f1f1f1;
    margin: 10px;
    height: 200px;
    background-size: contain;
    background-position: center;
}

.table .form-control {
    transition: all .2s;
    max-width: 150px;
}

.no-input{
    background: inherit;
    border: 0;
    pointer-events: none;
}

.disable_click{
    pointer-events: none;
    background: #cccccc;
}

.chat-layout .chat-box-wrapper {
    padding: 1.5rem 1.5rem 0 1.5rem;
}

.bg_white {
    background: #ffffff !important;
    border: 1px solid #e0f3ff !important;
}

.chat-wrapper {
    position: absolute;
    width: 100%;
    overflow-y: scroll;
    height: calc(100% - 190px);
    top: 50px;
    padding-bottom: 30px;
}
.app-inner-layout__bottom-pane.d-block.text-center {
    position: absolute;
    bottom: 60px;
    background-color: #fff;
    width: 100%;
}
.app-inner-layout__top-pane {
    position: absolute;
    top: 0;
    background-color: #fff;
    width: 100%;
    z-index: 9;
}


.chat-layout {
    overflow: hidden;
    height: calc(100% - 70px);
    display: grid;
}
.list-unstyled.chat_side_list {
    width: 95%;
    overflow: auto;
    display: inline-block;
    background-color: #fff;
    padding: 10px;
}
.chat_side_list > li {
    padding: 10px 0;
    border-bottom: 1px solid #ccc;
    display: inline-block;
    width: 100%;
}
.img_list li {
    width: 33%;
    float: left;
    padding: 2px;
}
.img_list li img {
    width: 100%;
}
.color-box{
    padding: 3px 9px 3px 9px;
    border-radius: 4px;
    font-weight: bold;
    text-shadow: 1px 1px 2px black;
    color: #ffffff;
}
.table.cat_tbl thead th {
    width: 22%;
}
.table.cat_tbl thead th:last-child {
    max-width: 92px;
}
.custom_collapse.collapse.show {
    display: none;
}

.shipping_details{
    border: 1px solid #cccccc;
    border-radius: 5px;
    padding: 10px 20px 10px 20px;
    background: #f8f8f8;
}

.images_upload_div{
    border: 1px solid #cccccc;
    border-radius: 5px;
    padding: 10px;
}


/*IMAGE UPLOAD CSS*/
.photo_upload {
    border: 1.2px dashed #bdbdbd;
    max-width: 1015px;
    display: inline-block;
    width: 100%;
}

.photo_upload .thumbnail_box {
    height: 340px;
    overflow-y: hidden;
    width: 100%;
}

.photo_upload .thumbnail_box {
    width: 40%;
    border-left: 1px solid #bdbdbd;
    float: right;
}

.list-unstyled {
    padding-left: 0;
    list-style: none;
}

.photo_upload .thumbnail_box li {
    display: inline-block;
    width: 33.3%;
    text-align: center;
    border: 1px solid #bdbdbd;
    float: left;
    height: 89px;
    position: relative;
}/*to comment if required*/

.photo_upload .thumbnail_box li {
    background-position: center!important;
    background-repeat: no-repeat!important;
    display: inline-block;
    width: 75px;
    text-align: center;
    border: 1px solid #bdbdbd;
    float: left;
    height: 100px;
    position: relative;
    margin-right: 0px;
    background-size: contain;
    background-color: #fff;
}

.photo_upload #dropzone .after_main_img {
    bottom: 0;
    position: absolute;
    width: 100%;
    padding: 0 20px;
    line-height: 0;
    height: 58px;
    left: 0;
    margin: 0;
}

.photo_upload #dropzone .upload_text {
    font-size: 12px;
    background-color: #ece9e9a1;
    margin: 63%  auto 0;
    padding: 20px;
    top: 0;
}


.photo_upload #dropzone {
    float: left;
    text-align: center;
    width: calc(100% - 152px);
    background-position: center;
    background-repeat: no-repeat;
    min-height: 300px;
    padding: 0% 10%;
    background-size: contain;
    position: relative;
}


.photo_upload #dropzone {
    background-size: contain;
    background-color: transparent;
    width: 73%;
    min-height: 350px;
    padding: 0% 7%;
    float: left;
    text-align: center;
    margin-right: 5px;
    background-repeat: no-repeat !important;
}

.photo_upload .thumbnail_box li {
    background-position: center!important;
    background-repeat: no-repeat!important;
    display: inline-block;
    width: 75px;
    text-align: center;
    border: 1px solid #bdbdbd;
    float: left;
    height: 100px;
    position: relative;
    margin-right: 0px;
    background-size: contain;
    background-color: #fff;
}


.photo_upload .thumbnail_box li {
    display: inline-block;
    width: 33.3%;
    text-align: center;
    border: 1px solid #bdbdbd;
    float: left;
    height: 89px;
    position: relative;
}


.photo_upload .thumbnail_box li {
    background-position: center!important;
    background-repeat: no-repeat!important;
    display: inline-block;
    width: 75px;
    text-align: center;
    border: 1px solid #bdbdbd;
    float: left;
    height: 100px;
    position: relative;
    margin-right: 0px;
    background-size: contain;
    background-color: #fff;
}
button.btn.btn-primary.btn_top {
    margin-bottom: 20px;
}
.photo_upload .thumbnail_box {
    width: 100%;
}

.file_select_trigger_i{
    font-size: 32px;
    color: #cccccc;
    margin-top: 26px;
}
i.fas.fa.fa-trash.cancelBtn {
    position: absolute;
    top: 5px;
    right: 7px;
    color: red;
    text-shadow: 1px 1px 4px black;
}

.remove_product {
    position: absolute;
    top: 5px;
    right: 7px;
    color: red;
    text-shadow: 1px 1px 4px black;
}
/*IMAGE UPLOAD CSS*/


.card_remove{

    position: absolute;
    display: inline-block;
    width: 20px;
    height: 20px;
    text-align: center;
    background-color: #ff7a7a;
    color: white;
    right: -7px;
    padding: 1px;
    top: -8px;
    border-radius: 20px;
    transform: rotate(45deg);
    cursor: pointer;
    line-height: 20px;
}

.badge{
    display: inline-block;
    padding: .25em .4em;
    font-size: 75%;
    font-weight: 700;
    line-height: 1;
    text-align: center;
    white-space: nowrap;
    vertical-align: baseline;
    border-radius: .25rem;
}
.inner_product_card_container{
    padding: 2px 10px;
}
.product_card {
    box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2);
    /* transition: 0.3s; */
    width: 153px;
    float: left;
    margin: 4px;
    font-size: 11px;
    position: relative;
    text-align: center;
    background: white;
    cursor: grab;
}


.funkyradio div {
    clear: both;
    overflow: hidden;
}

.funkyradio label {
    width: 100%;
    border-radius: 3px;
    border: 1px solid #D1D3D4;
    font-weight: normal;
}

.funkyradio input[type="radio"]:empty,
.funkyradio input[type="checkbox"]:empty {
    display: none;
}

.funkyradio input[type="radio"]:empty ~ label,
.funkyradio input[type="checkbox"]:empty ~ label {
    position: relative;
    line-height: 2.5em;
    text-indent: 3.25em;
    margin-top: 2em;
    cursor: pointer;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}

.funkyradio input[type="radio"]:empty ~ label:before,
.funkyradio input[type="checkbox"]:empty ~ label:before {
    position: absolute;
    display: block;
    top: 0;
    bottom: 0;
    left: 0;
    content: '';
    width: 2.5em;
    background: #D1D3D4;
    border-radius: 3px 0 0 3px;
}

.funkyradio input[type="radio"]:hover:not(:checked) ~ label,
.funkyradio input[type="checkbox"]:hover:not(:checked) ~ label {
    color: #888;
}

.funkyradio input[type="radio"]:hover:not(:checked) ~ label:before,
.funkyradio input[type="checkbox"]:hover:not(:checked) ~ label:before {
    content: '\2714';
    text-indent: .9em;
    color: #C2C2C2;
}

.funkyradio input[type="radio"]:checked ~ label,
.funkyradio input[type="checkbox"]:checked ~ label {
    color: #777;
}

.funkyradio input[type="radio"]:checked ~ label:before,
.funkyradio input[type="checkbox"]:checked ~ label:before {
    content: '\2714';
    text-indent: .9em;
    color: #333;
    background-color: #ccc;
}

.funkyradio input[type="radio"]:focus ~ label:before,
.funkyradio input[type="checkbox"]:focus ~ label:before {
    box-shadow: 0 0 0 3px #999;
}

.funkyradio-default input[type="radio"]:checked ~ label:before,
.funkyradio-default input[type="checkbox"]:checked ~ label:before {
    color: #333;
    background-color: #ccc;
}

.funkyradio-primary input[type="radio"]:checked ~ label:before,
.funkyradio-primary input[type="checkbox"]:checked ~ label:before {
    color: #fff;
    background-color: #337ab7;
}

.funkyradio-success input[type="radio"]:checked ~ label:before,
.funkyradio-success input[type="checkbox"]:checked ~ label:before {
    color: #fff;
    background-color: #5cb85c;
}

.funkyradio-danger input[type="radio"]:checked ~ label:before,
.funkyradio-danger input[type="checkbox"]:checked ~ label:before {
    color: #fff;
    background-color: #d9534f;
}

.funkyradio-warning input[type="radio"]:checked ~ label:before,
.funkyradio-warning input[type="checkbox"]:checked ~ label:before {
    color: #fff;
    background-color: #f0ad4e;
}

.funkyradio-info input[type="radio"]:checked ~ label:before,
.funkyradio-info input[type="checkbox"]:checked ~ label:before {
    color: #fff;
    background-color: #5bc0de;
}

.m-portlet{
    background: #ffffff;
}

.box-wrapper {
    border: 1px solid #cccccc;
    padding: 15px;
    border-radius: 3px;
}